# Project

## Overview
This Python project, called `2267570-hw4`, helps to study historical financial information by figuring out important numbers like Simple Moving Averages (SMA) and Relative Strength Index (RSI). The package can load data from a CSV file, make calculations, and save the results in various files. 

## Project Structure
#### The following project is structured in this way: 
```plaintext
2267570-hw4
├── __init__.py
├── hw4.py
├── tests
│   ├── __init__.py
│   └── test_hw4.py
├── orcl.csv
├── orcl-rsi.csv
├── orcl-sma.csv
├── README.md
├── requirements.txt
└── setup.py
```




### Files and Directories:

- **__init__.py**: A file with nothing in it that informs the computer to use the folder as a Python package. 


- **hw4.py**: The main Python script that consists of functions in order to load historical financial data, calculate indicators, and stores outcomes or results.


- **tests/**: A folder with tests for the `hw4. py` code file.


- **orcl.csv**: A file consisting of historical financial data for inspection purposes.


- **orcl-rsi.csv**: A file that stores the Relative Strength Index(RSI) estimation. 


- **orcl-sma.csv**: A file that stores the estimations of Simple Moving Averages(SMA).


- **README.md**: This file gives a summary of the whole project, which includes steps for setting it up and using it, and other important information. 


- **requirements.txt**: A file that mentions the things required to construct the project.


- **setup.py**: A script for wrapping up and sharing the project.


## Installation

You can install the package using `pip`. Open a terminal and run:

```bash
pip install 2267570-hw4
 
